

cap prog drop columns_rows2
program define columns_rows2, eclass 
syntax,  results(string) depvars(string) indvar(varlist) n(real)
local m=`n'+1


matrix beta=J(1,`m',-999) 
matrix variance=J(`m',`m',-999) 
matrix mean=J(1,`m',-999) 

forvalues i=1/`n' {
local var: word `i' of `depvars'
areg `var' `indvar', a(group_id) cluster(group_id)
matrix temp=e(V)
matrix beta[1,`i']=_b[interaction]
matrix variance[`i',`i']=temp[1,1] 
sum `var' if e(sample) == 1 & R==0
matrix mean[1,`i']=`r(mean)'

}

matrix list beta
matrix list variance
matrix list mean
 

reg interaction `depvars'
ereturn repost b=beta 
ereturn repost V=variance

local names: colnames e(b)
matrix colnames mean = `names'

estadd matrix mean mean 

estimates store `results'
estimates dir `results'

end
