

cap prog drop columns_rows_mean
program define columns_rows_mean, eclass 
syntax,  results(string) depvars(string) indvar(string) n(real)
local m=`n'+1

matrix beta=J(1,`m',-999) // mean matrix
matrix variance=J(`m',`m',-999) 

forvalues i=1/`n' {
local var: word `i' of `depvars'
areg `var' `indvar', a(group_id) cluster(group_id)
sum `var' if e(sample) == 1 & `indvar'==0
matrix beta[1,`i']=`r(mean)'
*sum `var' if e(sample) == 1 & `indvar'==0
*matrix variance[`i',`i']=`r(sd)'
}

matrix list beta 
matrix list variance

reg `indvar' `depvars'
ereturn repost b=beta 
ereturn repost V=variance

local names: colnames e(b)

estimates store `results'
estimates dir `results'

end
